//
//  Circle.cpp
//  circleSample
//
//  Created by Yasushi on 11/10/15.
//
//

#include "Circle.hpp"

void Circle::init (float _y, int _eSize, float _speed)  {
    
    xPos = 0.0;    //x座標の初期値は0.0
    yPos = _y;     //y座標の初期値はオブジェクトを宣言した際の引数になる
    eSize = _eSize;
    speed = _speed;     //speedの初期値もオブジェクト宣言の際の引数
}

//円の位置を更新するメソッド
void Circle::update() {
    
    xPos += speed;    //speed分のx座標を移動
    if (xPos > ofGetWidth()) {    //円のx座標がウィンドウの幅を超えたら、
        xPos = 0;    //位置を0に戻す
    }
}

void Circle::display(){
    
    ofDrawCircle(xPos, yPos, eSize);    //円を描く
}

//スピードを設定するメソッド
void Circle::setSpeed(float _speed){
    speed += _speed;
    if(speed < 0.0) speed = 0.0;  //0未満にはならないようにする
}
