#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
    ofBackground(255, 255, 255);
    ofSetCircleResolution(64);

    for(int i = 0; i < NUM; i ++){
        circles[i].init(i*7,    //y座標
                        4,  //円のサイズ
                        ofRandom(0.01, 5.0),    //スピードを0.01から5.0の間でランダムに決定
                        ofColor(ofRandom(255), 100, 0));    //色
    }
}

//--------------------------------------------------------------
void ofApp::update(){

    //circlesオブジェクトのクラスであるColorCircleクラスのupdate()メソッドを実行
    for(int i = 0; i < NUM; i ++) circles[i].update();
}

//--------------------------------------------------------------
void ofApp::draw(){

    //circlesオブジェクトのクラスであるColorCircleクラスのdisplayColor()メソッドを実行
    for(int i = 0; i < NUM; i ++) circles[i].displayColor();

}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){
    
    if(key == OF_KEY_UP){    //上に動く
        
        for(int i = 0; i < NUM; i ++) circles[i].faster();
        
    } else if (key == OF_KEY_DOWN) {    //下に動く
        
        for(int i = 0; i < NUM; i ++) circles[i].slower();
    
    }
}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}
